curl -X GET https://qstash.upstash.io/v1/endpoints \
-H "Authorization: Bearer <token>"
[
{
"endpointId": "ept_6j7BNZus3ZyPy6P7QtLUMCC3Rq7h",
"url": "https://www.upstash.com",
"topicId": "tpc_7EfEryZiheEKzpMuvjYdhhhbNNJA"
}
]
Endpoints
List Endpoints
This endpoint returns all your existing endpoints.
GET
/
v1
/
endpoints
curl -X GET https://qstash.upstash.io/v1/endpoints \
-H "Authorization: Bearer <token>"
[
{
"endpointId": "ept_6j7BNZus3ZyPy6P7QtLUMCC3Rq7h",
"url": "https://www.upstash.com",
"topicId": "tpc_7EfEryZiheEKzpMuvjYdhhhbNNJA"
}
]
Response
string
required
The id of the topic this endpoint subscribes to.Either
topicId or topicName must be setstring
required
The name of the topic this endpoint subscribes to.Either
topicId or topicName must be setstring
required
The url where all requests will be sent to.
curl -X GET https://qstash.upstash.io/v1/endpoints \
-H "Authorization: Bearer <token>"
[
{
"endpointId": "ept_6j7BNZus3ZyPy6P7QtLUMCC3Rq7h",
"url": "https://www.upstash.com",
"topicId": "tpc_7EfEryZiheEKzpMuvjYdhhhbNNJA"
}
]
Was this page helpful?